<?php

namespace Simplyin\Simplyin_W_Plugin\Dto\Order;

class New_Account_Data_DTO {

	protected string $name;
	protected string $surname;
	protected string $phone_number;
	protected string $email;
	protected string $unique_id;
	protected string $language;
	protected bool $marketing_consent = false;

	public function to_array(): array {
		return [
			"name"             => $this->name,
			"surname"          => $this->surname,
			"phoneNumber"      => $this->phone_number,
			"email"            => $this->email,
			"uniqueId"         => $this->unique_id,
			"language"         => $this->language,
			"marketingConsent" => $this->marketing_consent,
		];
	}



	public function set_name( string $name ): void {
		$this->name = $name;
	}

	public function set_surname( string $surname ): void {
		$this->surname = $surname;
	}

	public function set_phone_number( string $phone_number ): void {
		$this->phone_number = $phone_number;
	}

	public function set_email( string $email ): void {
		$this->email = $email;
	}

	public function set_unique_id( string $unique_id ): void {
		$this->unique_id = $unique_id;
	}

	public function set_language( string $language ): void {
		$this->language = $language;
	}

	public function set_marketing_consent( bool $marketing_consent ): void {
		$this->marketing_consent = $marketing_consent;
	}
}
